Index: branches/FACT++_lidctrl_usb/Makefile.in
===================================================================
--- branches/FACT++_lidctrl_usb/Makefile.in	(revision 18716)
+++ branches/FACT++_lidctrl_usb/Makefile.in	(revision 18788)
@@ -99,12 +99,13 @@
 	ratescan$(EXEEXT) ratecontrol$(EXEEXT) tngweather$(EXEEXT) \
 	lidctrl$(EXEEXT) gpsctrl$(EXEEXT) pfminictrl$(EXEEXT) \
-	sqmctrl$(EXEEXT) pwrctrl$(EXEEXT) magicweather$(EXEEXT) \
-	magiclidar$(EXEEXT) smartfact$(EXEEXT) evtserver$(EXEEXT) \
-	getevent$(EXEEXT) temperature$(EXEEXT) timecheck$(EXEEXT) \
-	showlog$(EXEEXT) fitsdump$(EXEEXT) fitscheck$(EXEEXT) \
-	fitsselect$(EXEEXT) zfits$(EXEEXT) $(am__EXEEXT_1) \
-	$(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4) \
-	$(am__EXEEXT_5) $(am__EXEEXT_6) $(am__EXEEXT_7) \
-	$(am__EXEEXT_8) $(am__EXEEXT_9) $(am__EXEEXT_10)
+	sqmctrl$(EXEEXT) pwrctrl$(EXEEXT) lidctrl_usb$(EXEEXT) \
+	magicweather$(EXEEXT) magiclidar$(EXEEXT) smartfact$(EXEEXT) \
+	evtserver$(EXEEXT) getevent$(EXEEXT) temperature$(EXEEXT) \
+	timecheck$(EXEEXT) showlog$(EXEEXT) fitsdump$(EXEEXT) \
+	fitscheck$(EXEEXT) fitsselect$(EXEEXT) zfits$(EXEEXT) \
+	$(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
+	$(am__EXEEXT_4) $(am__EXEEXT_5) $(am__EXEEXT_6) \
+	$(am__EXEEXT_7) $(am__EXEEXT_8) $(am__EXEEXT_9) \
+	$(am__EXEEXT_10)
 @HAS_FITS_TRUE@am__append_1 = datalogger
 @HAS_V8_TRUE@am__append_2 = dimctrl dimserver
@@ -466,4 +467,8 @@
 lidctrl_DEPENDENCIES = libDim++.la libDim.la libDimExtension.la \
 	libStateMachine.la libTools.la libTime.la libConfiguration.la
+am_lidctrl_usb_OBJECTS = src/lidctrl_usb.$(OBJEXT)
+lidctrl_usb_OBJECTS = $(am_lidctrl_usb_OBJECTS)
+lidctrl_usb_DEPENDENCIES = libDim++.la libDim.la libDimExtension.la \
+	libStateMachine.la libTools.la libTime.la libConfiguration.la
 am_log_OBJECTS = src/log.$(OBJEXT)
 log_OBJECTS = $(am_log_OBJECTS)
@@ -674,8 +679,9 @@
 	$(ftm_SOURCES) $(ftmctrl_SOURCES) $(gcn_SOURCES) \
 	$(getevent_SOURCES) $(gpsctrl_SOURCES) $(lidctrl_SOURCES) \
-	$(log_SOURCES) $(logtime_SOURCES) $(magiclidar_SOURCES) \
-	$(magicweather_SOURCES) $(makedata_SOURCES) \
-	$(makeplots_SOURCES) $(makeschedule_SOURCES) $(mcp_SOURCES) \
-	$(moon_SOURCES) $(pfminictrl_SOURCES) $(pwrctrl_SOURCES) \
+	$(lidctrl_usb_SOURCES) $(log_SOURCES) $(logtime_SOURCES) \
+	$(magiclidar_SOURCES) $(magicweather_SOURCES) \
+	$(makedata_SOURCES) $(makeplots_SOURCES) \
+	$(makeschedule_SOURCES) $(mcp_SOURCES) $(moon_SOURCES) \
+	$(pfminictrl_SOURCES) $(pwrctrl_SOURCES) \
 	$(ratecontrol_SOURCES) $(ratescan_SOURCES) $(readfits_SOURCES) \
 	$(rootifysql_SOURCES) sched.c $(scheduler_SOURCES) \
@@ -701,9 +707,9 @@
 	$(fscctrl_SOURCES) $(ftm_SOURCES) $(ftmctrl_SOURCES) \
 	$(gcn_SOURCES) $(getevent_SOURCES) $(gpsctrl_SOURCES) \
-	$(lidctrl_SOURCES) $(log_SOURCES) $(logtime_SOURCES) \
-	$(magiclidar_SOURCES) $(magicweather_SOURCES) \
-	$(makedata_SOURCES) $(makeplots_SOURCES) \
-	$(makeschedule_SOURCES) $(mcp_SOURCES) $(moon_SOURCES) \
-	$(pfminictrl_SOURCES) $(pwrctrl_SOURCES) \
+	$(lidctrl_SOURCES) $(lidctrl_usb_SOURCES) $(log_SOURCES) \
+	$(logtime_SOURCES) $(magiclidar_SOURCES) \
+	$(magicweather_SOURCES) $(makedata_SOURCES) \
+	$(makeplots_SOURCES) $(makeschedule_SOURCES) $(mcp_SOURCES) \
+	$(moon_SOURCES) $(pfminictrl_SOURCES) $(pwrctrl_SOURCES) \
 	$(ratecontrol_SOURCES) $(ratescan_SOURCES) $(readfits_SOURCES) \
 	$(rootifysql_SOURCES) sched.c $(scheduler_SOURCES) \
@@ -1052,4 +1058,5 @@
 @HAS_HELP2MAN_TRUE@	gpsctrl.man \
 @HAS_HELP2MAN_TRUE@	lidctrl.man \
+@HAS_HELP2MAN_TRUE@	lidctrl_usb.man \
 @HAS_HELP2MAN_TRUE@	magiclidar.man \
 @HAS_HELP2MAN_TRUE@	magicweather.man \
@@ -1296,4 +1303,9 @@
     	libConfiguration.la -lQtXml
 
+lidctrl_usb_SOURCES = src/lidctrl_usb.cc src/LocalControl.h
+lidctrl_usb_LDADD = libDim++.la libDim.la libDimExtension.la \
+ 	libStateMachine.la libTools.la libTime.la \
+    	libConfiguration.la -lQtXml
+
 gpsctrl_SOURCES = src/gpsctrl.cc src/LocalControl.h
 gpsctrl_LDADD = libDim++.la libDim.la libDimExtension.la \
@@ -2204,4 +2216,10 @@
 	@rm -f lidctrl$(EXEEXT)
 	$(AM_V_CXXLD)$(CXXLINK) $(lidctrl_OBJECTS) $(lidctrl_LDADD) $(LIBS)
+src/lidctrl_usb.$(OBJEXT): src/$(am__dirstamp) \
+	src/$(DEPDIR)/$(am__dirstamp)
+
+lidctrl_usb$(EXEEXT): $(lidctrl_usb_OBJECTS) $(lidctrl_usb_DEPENDENCIES) $(EXTRA_lidctrl_usb_DEPENDENCIES) 
+	@rm -f lidctrl_usb$(EXEEXT)
+	$(AM_V_CXXLD)$(CXXLINK) $(lidctrl_usb_OBJECTS) $(lidctrl_usb_LDADD) $(LIBS)
 src/log.$(OBJEXT): src/$(am__dirstamp) src/$(DEPDIR)/$(am__dirstamp)
 
@@ -2663,4 +2681,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/gpsctrl.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/lidctrl.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/lidctrl_usb.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/log.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/logtime.Po@am__quote@
